# Asterisk Project : Asterisk 12 Function_ENUMRESULT

Added by wikibot , edited by wikibot on Aug 29, 2013

# ENUMRESULT()

### Synopsis

Retrieve results from a ENUMQUERY.

### Description

This function will retrieve results from a previous use of the ENUMQUERY function.

### Syntax

    ENUMRESULT(id,resultnum)

##### Arguments

- `id` - The identifier returned by the ENUMQUERY function.
- `resultnum` - The number of the result that you want to retrieve.
  Results start at `1`. If this argument is specified as `getnum`, then it will return the total number of results that are available or -1 on error.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown